:host {
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: white;
  min-width: 170px;
}

select {
  background-image: none;
  position: relative;
  min-width: 0;

  padding: 0;
  text-align: center;
  text-align-last: center; /* Firefox works without this, but chrome needs it */

  &[name="year"] {
    padding-left: 8px;
  }

  /* make it overlap the separator exactly */
  &:not(:last-child) {
    margin-right: -1px;
  }
  &:not(:first-child) {
    margin-left: -1px;
  }

  & + span {
    cursor: default;
  }
}
